summaryrefslogtreecommitdiffstats
path: root/users/bbaserdem/keymap-bitmaps/cropBmp
diff options
context:
space:
mode:
Diffstat (limited to 'users/bbaserdem/keymap-bitmaps/cropBmp')
-rwxr-xr-xusers/bbaserdem/keymap-bitmaps/cropBmp38
1 files changed, 38 insertions, 0 deletions
diff --git a/users/bbaserdem/keymap-bitmaps/cropBmp b/users/bbaserdem/keymap-bitmaps/cropBmp
new file mode 100755
index 0000000000..4a322b4175
--- /dev/null
+++ b/users/bbaserdem/keymap-bitmaps/cropBmp
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+# Copyright 2021 Batuhan Başerdem
+# <baserdem.batuhan@gmail.com> @bbaserdem
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Goes through all the files and turns them into strips in their respective folder
+if [ -z "${1}" ] ; then
+ echo 'No argument; defaulting to script directory.'
+ target_dir="$(dirname "${0}")"
+elif [ -d "${1}" ] ; then
+ echo "Targeting files in '${1}'."
+ target_dir="${1}"
+else
+ echo 'Argument is not directory.'
+ exit 1
+fi
+
+output_dir="${target_dir}/splitImages"
+mkdir -p "${output_dir}"
+
+for this_image in "${target_dir}/"*.bmp ; do
+ echo "Found '${this_image}'."
+ this_name="$(basename "${this_image%%.bmp}")"
+ convert "${this_image}" -crop 'x8' "${output_dir}/${this_name}"_%d.bmp
+done